MODBUS_SET_BYTE_TIME(3)

NAME
modbus_set_byte_timeout - set timeout between bytes

SYNOPSIS

void modbus_set_byte_timeout(modbus_t *ctx, struct timeval *timeout);

DESCRIPTION

The modbus_set_byte_timeout() function shall set the timeout interval between two consecutive bytes of the same message. If the delay between is longer than the given timeout, an error will be raised.

If the timeout value has a tv_sec of -1 then this timeout will not be used at all. This results in modbus_set_response_timeout governing the entire timeout duration of an operation.

RETURN VALUE

There is no return values.

SEE ALSO

modbus_get_byte_timeout(3) modbus_get_response_timeout(3) modbus_set_response_timeout(3)

AUTHORS

The libmodbus documentation was written by Stéphane Raimbault <stephane.raimbault@gmail.com[1]>

NOTES

1.  stephane.raimbault@gmail.com
    mailto:stephane.raimbault@gmail.com